## org.apache.poi.hslf.model
Class AutoShapes

    java.lang.Object
      org.apache.poi.hslf.model.AutoShapes

    public final class AutoShapes

extends java.lang.Object

Stores definition of auto-shapes. See the Office Drawing 97-2007 Binary Format Specification for details. TODO: follow the spec and define all the auto-shapes

Author:
  Yegor Kozlov

Field Summary
`protected static ShapeOutline[]` `shapes`

Constructor Summary
`AutoShapes()`

Method Summary
`static ShapeOutline` `getShapeOutline(int type)` Return shape outline by shape type
`static java.awt.Shape` `transform(java.awt.Shape outline, java.awt.geom.Rectangle2D anchor)` Auto-shapes are defined in the [0,21600] coordinate system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shapes

    protected static ShapeOutline[] shapes

Constructor Detail

### AutoShapes

    public AutoShapes()

Method Detail

### getShapeOutline

    public static ShapeOutline getShapeOutline(int type)

  Return shape outline by shape type

  Parameters:
    `type` - shape type see `ShapeTypes`
  Returns:
    the shape outline

### transform

    public static java.awt.Shape transform(java.awt.Shape outline,
                                           java.awt.geom.Rectangle2D anchor)

  Auto-shapes are defined in the [0,21600] coordinate system. We need to transform it into normal slide coordinates

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.